com.sun.jna.platform.win32

## Class LMAccess.GROUP_INFO_2

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.LMAccess.GROUP_INFO_2

Enclosing interface:
  LMAccess

    @Structure.FieldOrder(value={"grpi2_name","grpi2_comment","grpi2_group_id","grpi2_attributes"})
    public static class LMAccess.GROUP_INFO_2
    extends Structure

The GROUP_INFO_2 structure contains information about a global group, including name, identifier, and resource attributes.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `grpi2_attributes` These attributes are hard-coded to SE_GROUP_MANDATORY, SE_GROUP_ENABLED, and SE_GROUP_ENABLED_BY_DEFAULT.
`java.lang.String` `grpi2_comment` Pointer to a null-terminated Unicode character string that contains a remark associated with the global group.
`int` `grpi2_group_id` Specifies a DWORD value that contains the relative identifier (RID) of the global group.
`java.lang.String` `grpi2_name` Pointer to a null-terminated Unicode character string that specifies the name of the global group.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GROUP_INFO_2()`
`GROUP_INFO_2(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### grpi2_name

    public java.lang.String grpi2_name

Pointer to a null-terminated Unicode character string that specifies the name of the global group.

#### grpi2_comment

    public java.lang.String grpi2_comment

Pointer to a null-terminated Unicode character string that contains a remark associated with the global group. This member can be a null string. The comment can contain MAXCOMMENTSZ characters.

#### grpi2_group_id

    public int grpi2_group_id

Specifies a DWORD value that contains the relative identifier (RID) of the global group.

#### grpi2_attributes

    public int grpi2_attributes

These attributes are hard-coded to SE_GROUP_MANDATORY, SE_GROUP_ENABLED, and SE_GROUP_ENABLED_BY_DEFAULT.

### Constructor Detail

#### GROUP_INFO_2

    public GROUP_INFO_2()

#### GROUP_INFO_2

    public GROUP_INFO_2(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.